# getOnboardingStatus

Source: /openapi/thomas-federated.openapi.json

## Operation

| Method | URL |
|---|---|
| GET | https://api.thomas.co/v1/onboarding/status |

| Field | Value |
|---|---|
| operationId | getOnboardingStatus |
| method | GET |
| server | https://api.thomas.co/v1 |
| path | /onboarding/status |
| tags | `Onboarding` |
| summary | Get onboarding status |
| badges | `{"name":"Self Access"}` |

## Request Parameters

None.

## Request Body

None.

## Responses

| Status | Description | Schema refs |
|---|---|---|
| 200 | Onboarding status returned | #/components/schemas/OnboardingStatusResponseDto |
| 401 | Invalid or missing authentication token (AUTH_TOKEN_INVALID) | #/components/schemas/ApiErrorResponseDto |
| 403 | Global access denied (IDENTITY_GLOBAL_ACCESS_DENIED) | #/components/schemas/ApiErrorResponseDto |
| 404 | Account not found (IDENTITY_ACCOUNT_NOT_FOUND) | #/components/schemas/ApiErrorResponseDto |

## Artifact Examples

### Response 401 example

```json
{
  "statusCode": 401,
  "message": "Invalid or missing authentication token",
  "error": "AUTH_TOKEN_INVALID"
}
```

### Response 403 example

```json
{
  "statusCode": 403,
  "message": "Global access denied",
  "error": "IDENTITY_GLOBAL_ACCESS_DENIED"
}
```

### Response 404 example

```json
{
  "statusCode": 404,
  "message": "Account not found",
  "error": "IDENTITY_ACCOUNT_NOT_FOUND"
}
```
